
Redmine - Defect #6333

Create and continue results in a 404 Error

2010-09-08 20:04 - Troy Anderson

Status: Closed Start date: 2010-09-08

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 1.0.2   

Resolution: Fixed Affected version:  

Description

Using the latest checkout from git:

commit bf7476af5b6b2ec70e20254c8f2fe346ca22c089

Author: Eric Davis <edavis@littlestreamsoftware.com>

Date:   Wed Sep 8 16:01:51 2010 +0000

When creating a new issue and clicking the "Create and continue", it creates the issue, but redirects to a page that cannot be found. 

In my case, it redirects to http://redmine.aclipsa.com/issues/new?issue%5Btracker_id%5D=1.  In the issues controller, it is looking for

a project_id and redirects to 404 page if there isn't one, which there isn't. Unfortunately, I'm not familiar enough with the code to

propose a patch.

psql (PostgreSQL) 8.4.4

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /home/redmine/redmine

Environment               production

Database adapter          postgresql

Database schema version   20100819172912

Related issues:

Is duplicate of Redmine - Defect #6249: Create and continue returns 404 Closed 2010-08-30

Associated revisions

Revision 4083 - 2010-09-11 22:21 - Jean-Baptiste Barth

Fixed "Create and continue" redirection broken by recent changes. #6333

IssuesController#create is no more scoped under project, but

IssuesController#new is, so we need to precise project_id

when redirecting to "New issue" form.

History

#1 - 2010-09-11 22:18 - Jean-Baptiste Barth

- Status changed from New to Resolved

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.0.2

- % Done changed from 0 to 100

- Affected version (unused) set to devel

- Resolution set to Fixed

Thanks for pointing this out. It's due to recent changes in routes. Fixed in r4083.

#2 - 2010-09-20 05:51 - Eric Davis
- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2

#3 - 2010-09-20 05:51 - Eric Davis

Merged into 1.0-stable for release in 1.0.2
